# Get Packages for Online Store Public endpoint that gets packages for use in the online store Endpoint: POST /registrationPackages/{tenantId}/public/onlineStore Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The tenant ## Request fields (application/json): - `event_ids` (array, required) - `event_restriction` (string) Enum: "exclude", "include", "none" - `event_type_ids` (array, required) - `event_type_restriction` (string) Enum: "exclude", "include", "none" ## Response 200 fields (application/json): - `event_types` (array) - `event_types.display_in_portal_as` (string) Portal display - `event_types.id` (string) ID of the event type - `event_types.name` (string) Name of the event type - `events` (array) - `events.description` (string) - `events.id` (string) ID of the event - `events.name` (string) Name of the event - `events.sold_out` (boolean) - `events.thumbnail_image_uri` (string) - `events.type_id` (string) - `registration_packages` (array) - `registration_packages.description` (string) Description of the package - `registration_packages.enable_special_prices` (boolean) Whether special prices are used - `registration_packages.event_id` (string) The event type - `registration_packages.id` (string) ID of the event package - `registration_packages.member_price` (number) Renewal price of the package - `registration_packages.name` (string) Name of the event package - `registration_packages.price` (number) Price of the package - `registration_packages.registration_type_id` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields